Subject: [clisp-list] open .mem file in emacs (windows) (cracked it)

From: "Hoehle, Joerg-Cyril" <[email-masked]>
Date: Mon Dec 2 08:55:21 2002

Daniel Freudenthal wrote:
>I wrote a small
>function which changes the clisp-hs-program variable to the image to be
>loaded, and added that to .emacs.

> Invoking this function from the shell
>changes the image to be loaded, and when you then start CLISP, 
>it opens the correct image.
That's what you do? Start CLISP interactively from a shell? No M-x run-lisp?

> For the novice the solution seems
>somewhat roundabout

I'm unclear about what you're trying to do. Examples would help here I presume.
Emacs or CLISP variables and functions?

But if your goal is to set a couple of *foo* variables of CLISP, you could have a look at .clisprc (though I never used that) which can be loaded everytime CLISP starts up.

The section in the CLISP manual explaining how to change config.lisp, dump an image (savemem or saveinitmem) and use it predates by far the .clisprc feature. Choose whatever pleases you.

Regards,
	Jörg Höhle.